uuid: 52d61005-b19a-4bfa-86a5-e2408a9f4c9b
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_complete_simpleads
class: Drupal\node\Plugin\migrate\D7NodeTranslation
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Node complete (Simple Ad)'
source:
  plugin: d7_node_complete
  node_type: simpleads
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: timestamp
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  content_translation_source:
    -
      plugin: get
      source: source_langcode
  comment_node_simpleads/0/status:
    -
      plugin: get
      source: comment
  field_ad_type:
    -
      plugin: get
      source: field_ad_type
  field_ad_image:
    -
      plugin: sub_process
      source: field_ad_image
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_ad_flash:
    -
      plugin: sub_process
      source: field_ad_flash
      process:
        target_id: fid
        display: display
        description: description
  field_ad_text:
    -
      plugin: get
      source: field_ad_text
  field_ad_url:
    -
      plugin: get
      source: field_ad_url
  field_ad_url_taget:
    -
      plugin: get
      source: field_ad_url_taget
  field_ad_category:
    -
      plugin: sub_process
      source: field_ad_category
      process:
        target_id: tid
  field_ad_start_date:
    -
      plugin: get
      source: field_ad_start_date
  field_ad_end_date:
    -
      plugin: get
      source: field_ad_end_date
  field_ad_status:
    -
      plugin: get
      source: field_ad_status
  field_adcamp_list:
    -
      plugin: get
      source: field_adcamp_list
  field_metatag:
    -
      plugin: d7_metatag_entities
      source: pseudo_metatag_entities
destination:
  plugin: 'entity_complete:node'
  translations: true
  default_bundle: simpleads
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_comment_field_instance
